Bug 1463268 - [RFE] As a user, I want to list all repository sets for an organization.
[RFE] As a user, I want to list all repository sets for an organization.
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Repositories (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium (vote)
: GA
: --
Assigned To: Tom McKay
Peter Ondrejka
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-20 09:15 EDT by Tom McKay
Modified: 2018-02-21 11:45 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-02-21 11:45:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 19925 None None None 2017-06-20 09:15 EDT

  None (edit)
Description Tom McKay 2017-06-20 09:15:20 EDT
GET /repository_sets

Currently the API forces looping over all products, then those product repos. This would provide a unified list of all repos available.

This could be used for repository sets enable UI page.
Comment 1 Tom McKay 2017-06-20 09:15:30 EDT
Created from redmine issue http://projects.theforeman.org/issues/19925
Comment 2 Tom McKay 2017-06-20 09:15:34 EDT
Upstream bug assigned to tomckay@redhat.com
Comment 5 pm-sat@redhat.com 2017-06-20 10:03:11 EDT
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/19925 has been resolved.
Comment 6 Peter Ondrejka 2017-12-06 04:25:26 EST
Verified on Sat 6.3 snap 27, the activation keys > repository sets page is an improvement over 6.2 with filtering and bulk actions capabilities
Comment 7 Bryan Kearney 2018-02-21 11:42:02 EST
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336
Comment 8 Bryan Kearney 2018-02-21 11:45:57 EST
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336

Note You need to log in before you can comment on or make changes to this bug.